<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

        <link rel="SHORTCUT ICON" href="../../../img/clover.ico" />

    <style type="text/css" media="screen">
        @import url('../../../style.css');
        @import url('../../../roundedcorners.css');
        @import url('../../../tree.css');
            </style>
    
    <script src="../../../sorttable.js" type="text/javascript"></script>
    <script src="../../../overlibmws.js" type="text/javascript"><!-- overLIB (c) Erik Bosrup --></script>
    <script src="../../../overlibmws_shadow.js" type="text/javascript" ></script>
    <script src="../../../clover.js" type="text/javascript"></script>
    <script src="../../../cloud.js" type="text/javascript"></script>
    <script src="../../../help.js" type="text/javascript"></script>
  <title>HttpCore 4.2.3</title>
</head><body onload="setBrowserTitle('HttpCore 4.2.3: org.apache.http: Coverage Clouds')">
<table cellspacing="0" cellpadding="2" style="padding:2" class="barGraph">
  <tr>
    <td colspan="1">

    <div class="roundedLarge">
      <b class="ctop"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
      <div class="roundedContent">
    <table width="100%" class="" cellspacing="0"><tr class="reportHeader">
    <td valign="top" class="titleText">Clover Coverage Cloud Report - <a href="http://hc.apache.org/httpcomponents-core-ga" target="_top">HttpCore 4.2.3</a><div class="timestamp"><b>Coverage timestamp:</b>&nbsp;Wed Nov 28 2012 22:34:57 CET</div>

        
                <div class="navBar"><a href="pkg-summary.html">App</a>&nbsp;&nbsp;&nbsp; <a href="testsrc-pkg-summary.html">Test</a>&nbsp;&nbsp;&nbsp;<a href="test-pkg-summary.html">Results</a>&nbsp;&nbsp;&nbsp;<span class="navBarCurrent">Clouds</span></div>
        
                    	<div class="navBar"><a href="../../../proj-risks.html"><b>Overview</b></a>&nbsp;&nbsp;&nbsp;<span class="navBarCurrent">Package</span>&nbsp;&nbsp;&nbsp;File</div>
            
    <div class="navBarLink">
        &nbsp;&nbsp;&nbsp;
        <a href="../../../index.html" target="_top">FRAMES</a>&nbsp;&nbsp;
        <a href="quick-wins.html" target="_top">NO FRAMES</a>&nbsp;&nbsp;
        <label onclick="toggleHelp(this);" class="nonHelpItem">SHOW HELP</label>&nbsp;&nbsp;
    </div>

    </td>

    
        

     <td  id="td-header-stats" class="headerStats" valign="top" style="font-weight: normal;width:40%; text-align: right; display: ;">
         <table style="text-align: right; white-space:nowrap;">
         <tr>
           <td colspan="11" class="totalText" style="text-align: left"><label>Statistics for package org.apache.http:</label></td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_stmts + 'package';">Stmts:</label></td>
           <td >      114
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_loc + 'package';">LOC:</label></td>
           <td >      3,639
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp + 'package';">Total cmp:</label></td>
           <td >      71
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_stmts_per_method;">Stmts/Method:</label></td>
           <td >      2.38
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_branches + 'package';">Branches:</label></td>
           <td >      40
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_ncloc + 'package';">NCLOC:</label></td>
           <td >      667
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp_density + 'package';">Cmp density:</label></td>
           <td >      0.62
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_methods_per_class;">Methods/Class:</label></td>
           <td >      1.17
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_methods + 'package';">Methods:</label></td>
           <td >      48
  </td>
           <td style="width: 5%">&nbsp;</td>
                    <td  class="totalText"><label onkeyup="return help_files + 'package';">Files:</label></td>
           <td >      41
  </td>
                    <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_avg_method_cmp + 'package';">Avg method cmp:</label></td>
           <td >      1.48
  </td>
           <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
          
         </tr>
           <tr>
            <td  class="totalText"><label onkeyup="return help_classes + 'package';">Classes:</label></td>
            <td >      41
  </td>
            <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
                     <td style="width: 10%">&nbsp;</td>
         </tr>
             </table>
     </td>

    
    
    

     <td  id="td-filtered-header-stats" class="headerStats" valign="top" style="font-weight: normal;width:40%; text-align: right; display: none;">
         <table style="text-align: right; white-space:nowrap;">
         <tr>
           <td colspan="11" class="totalText" style="text-align: left"><label>Statistics for package org.apache.http:</label></td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_stmts + 'package';">Stmts:</label></td>
           <td >      114
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_loc + 'package';">LOC:</label></td>
           <td >      3,639
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp + 'package';">Total cmp:</label></td>
           <td >      71
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_stmts_per_method;">Stmts/Method:</label></td>
           <td >      2.38
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_branches + 'package';">Branches:</label></td>
           <td >      40
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_ncloc + 'package';">NCLOC:</label></td>
           <td >      667
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp_density + 'package';">Cmp density:</label></td>
           <td >      0.62
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_methods_per_class;">Methods/Class:</label></td>
           <td >      1.17
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_methods + 'package';">Methods:</label></td>
           <td >      48
  </td>
           <td style="width: 5%">&nbsp;</td>
                    <td  class="totalText"><label onkeyup="return help_files + 'package';">Files:</label></td>
           <td >      41
  </td>
                    <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_avg_method_cmp + 'package';">Avg method cmp:</label></td>
           <td >      1.48
  </td>
           <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
          
         </tr>
           <tr>
            <td  class="totalText"><label onkeyup="return help_classes + 'package';">Classes:</label></td>
            <td >      41
  </td>
            <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
                     <td style="width: 10%">&nbsp;</td>
         </tr>
             </table>
     </td>
</tr>

    </table>
  </div>
  <b class="cbottom"><b class="cb4"></b><b class="cb3"></b><b class="cb2"></b><b class="cb1"></b></b>
  </div>

   </td>
  </tr>




<tr><td class="hbreak" colspan="1">&nbsp;</td></tr>

<tr><td class="hbreak" colspan="1"></td></tr>

<tr><td class="hbreak" colspan="1">
   <div style="position:relative;height:30px;">
   <div id="mapnav" >
       <ul>
                                                                        <li class="">
                    <div class="roundedLarge">
                        <b class="ctop"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
                        <div class="roundedContent">
                            <label class="link"  onkeyup="return help_pkg_risks;" onclick="window.location.href='pkg-risks.html'">Package Risks</label>
                        </div>
                    </div>
                </li>
                                                                                 <li class="mapactive">
                    <div class="roundedLarge">
                        <b class="ctop"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
                        <div class="roundedContent">
                            <label class="link"  onkeyup="return help_pkg_quick_wins;" onclick="window.location.href='quick-wins.html'">Quick Wins</label>
                        </div>
                    </div>
                </li>
                   </ul>
   </div>
          <div class="cloudowner"><a href="pkg-summary.html">org.apache.http</a></div>
      </div>

<div class="tags roundedLarge">
   <b class="ctop tabbedLeftCnr"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
   <div class="roundedContent" style="padding: 5px;">
		<form action="nada" id="cloudDepthForm">
	   <input
		id="cloudDepthCheckbox"
		type="checkbox"
		checked="checked" name="sub-packages" onclick="showDeepPackageCloud(this.checked)"/>
		<label for="cloudDepthCheckbox">Include classes from sub-packages</label>
	</form>
	
      <div id="deepPackageCloud"  >
      
	 	 
	       <a href="../http/pool/AbstractConnPool.html#AbstractConnPool" class="tag"
	  style="font-size: 40px;color:#1b05e3"
	  title="# Elements - 308 , # Elements Untested - 24 ">AbstractConnPool</a>
   
	 	 
	       <a href="../http/impl/AbstractHttpClientConnection.html#AbstractHttpClientConnection" class="tag"
	  style="font-size: 18px;color:#3405ca"
	  title="# Elements - 97 , # Elements Untested - 28 ">AbstractHttpClientConnection</a>
   
	 	 
	       <a href="../http/entity/AbstractHttpEntity.html#AbstractHttpEntity" class="tag"
	  style="font-size: 11px;color:#0205fc"
	  title="# Elements - 29 , # Elements Untested - 1 ">AbstractHttpEntity</a>
   
	 	 
	       <a href="../http/params/AbstractHttpParams.html#AbstractHttpParams" class="tag"
	  style="font-size: 14px;color:#1b05e3"
	  title="# Elements - 50 , # Elements Untested - 24 ">AbstractHttpParams</a>
   
	 	 
	       <a href="../http/impl/AbstractHttpServerConnection.html#AbstractHttpServerConnection" class="tag"
	  style="font-size: 17px;color:#1b05e3"
	  title="# Elements - 86 , # Elements Untested - 26 ">AbstractHttpServerConnection</a>
   
	 	 
	       <a href="../http/impl/io/AbstractMessageParser.html#AbstractMessageParser" class="tag"
	  style="font-size: 19px;color:#0205fc"
	  title="# Elements - 104 , # Elements Untested - 8 ">AbstractMessageParser</a>
   
	 	 
	       <a href="../http/impl/io/AbstractMessageWriter.html#AbstractMessageWriter" class="tag"
	  style="font-size: 11px;color:#0205fc"
	  title="# Elements - 24 , # Elements Untested - 5 ">AbstractMessageWriter</a>
   
	 	 
	       <a href="../http/impl/io/AbstractSessionInputBuffer.html#AbstractSessionInputBuffer" class="tag"
	  style="font-size: 33px;color:#0205fc"
	  title="# Elements - 248 , # Elements Untested - 5 ">AbstractSessionInputBuffer</a>
   
	 	 
	       <a href="../http/impl/io/AbstractSessionOutputBuffer.html#AbstractSessionOutputBuffer" class="tag"
	  style="font-size: 24px;color:#0205fc"
	  title="# Elements - 153 , # Elements Untested - 1 ">AbstractSessionOutputBuffer</a>
   
	 	 
	       <a href="../http/impl/pool/BasicConnFactory.html#BasicConnFactory" class="tag"
	  style="font-size: 12px;color:#0205fc"
	  title="# Elements - 37 , # Elements Untested - 3 ">BasicConnFactory</a>
   
	 	 
	       <a href="../http/impl/pool/BasicConnPool.html#BasicConnPool" class="tag"
	  style="font-size: 9px;color:#0205fc"
	  title="# Elements - 6 , # Elements Untested - 2 ">BasicConnPool</a>
   
	 	 
	       <a href="../http/concurrent/BasicFuture.html#BasicFuture" class="tag"
	  style="font-size: 17px;color:#0205fc"
	  title="# Elements - 85 , # Elements Untested - 7 ">BasicFuture</a>
   
	 	 
	       <a href="../http/message/BasicHeaderElementIterator.html#BasicHeaderElementIterator" class="tag"
	  style="font-size: 17px;color:#0205fc"
	  title="# Elements - 82 , # Elements Untested - 13 ">BasicHeaderElementIterator</a>
   
	 	 
	       <a href="../http/message/BasicHeaderValueFormatter.html#BasicHeaderValueFormatter" class="tag"
	  style="font-size: 28px;color:#0205fc"
	  title="# Elements - 194 , # Elements Untested - 13 ">BasicHeaderValueFormatter</a>
   
	 	 
	       <a href="../http/message/BasicHeaderValueParser.html#BasicHeaderValueParser" class="tag"
	  style="font-size: 32px;color:#3405ca"
	  title="# Elements - 230 , # Elements Untested - 29 ">BasicHeaderValueParser</a>
   
	 	 
	       <a href="../http/protocol/BasicHttpContext.html#BasicHttpContext" class="tag"
	  style="font-size: 14px;color:#0205fc"
	  title="# Elements - 51 , # Elements Untested - 11 ">BasicHttpContext</a>
   
	 	 
	       <a href="../http/entity/BasicHttpEntity.html#BasicHttpEntity" class="tag"
	  style="font-size: 12px;color:#0205fc"
	  title="# Elements - 38 , # Elements Untested - 7 ">BasicHttpEntity</a>
   
	 	 
	       <a href="../http/params/BasicHttpParams.html#BasicHttpParams" class="tag"
	  style="font-size: 13px;color:#3405ca"
	  title="# Elements - 45 , # Elements Untested - 29 ">BasicHttpParams</a>
   
	 	 
	       <a href="../http/protocol/BasicHttpProcessor.html#BasicHttpProcessor" class="tag"
	  style="font-size: 20px;color:#990565"
	  title="# Elements - 117 , # Elements Untested - 90 ">BasicHttpProcessor</a>
   
	 	 
	       <a href="../http/message/BasicHttpRequest.html#BasicHttpRequest" class="tag"
	  style="font-size: 12px;color:#0205fc"
	  title="# Elements - 35 , # Elements Untested - 2 ">BasicHttpRequest</a>
   
	 	 
	       <a href="../http/message/BasicHttpResponse.html#BasicHttpResponse" class="tag"
	  style="font-size: 14px;color:#1b05e3"
	  title="# Elements - 58 , # Elements Untested - 24 ">BasicHttpResponse</a>
   
	 	 
	       <a href="../http/message/BasicLineFormatter.html#BasicLineFormatter" class="tag"
	  style="font-size: 21px;color:#0205fc"
	  title="# Elements - 121 , # Elements Untested - 2 ">BasicLineFormatter</a>
   
	 	 
	       <a href="../http/message/BasicLineParser.html#BasicLineParser" class="tag"
	  style="font-size: 34px;color:#80057e"
	  title="# Elements - 249 , # Elements Untested - 75 ">BasicLineParser</a>
   
	 	 
	       <a href="../http/message/BasicListHeaderIterator.html#BasicListHeaderIterator" class="tag"
	  style="font-size: 14px;color:#0205fc"
	  title="# Elements - 52 , # Elements Untested - 8 ">BasicListHeaderIterator</a>
   
	 	 
	       <a href="../http/impl/pool/BasicPoolEntry.html#BasicPoolEntry" class="tag"
	  style="font-size: 9px;color:#0205fc"
	  title="# Elements - 7 , # Elements Untested - 2 ">BasicPoolEntry</a>
   
	 	 
	       <a href="../http/util/ByteArrayBuffer.html#ByteArrayBuffer" class="tag"
	  style="font-size: 21px;color:#0205fc"
	  title="# Elements - 129 , # Elements Untested - 2 ">ByteArrayBuffer</a>
   
	 	 
	       <a href="../http/entity/ByteArrayEntity.html#ByteArrayEntity" class="tag"
	  style="font-size: 14px;color:#0205fc"
	  title="# Elements - 53 , # Elements Untested - 8 ">ByteArrayEntity</a>
   
	 	 
	       <a href="../http/util/CharArrayBuffer.html#CharArrayBuffer" class="tag"
	  style="font-size: 27px;color:#0205fc"
	  title="# Elements - 182 , # Elements Untested - 4 ">CharArrayBuffer</a>
   
	 	 
	       <a href="../http/impl/io/ChunkedInputStream.html#ChunkedInputStream" class="tag"
	  style="font-size: 23px;color:#0205fc"
	  title="# Elements - 143 , # Elements Untested - 7 ">ChunkedInputStream</a>
   
	 	 
	       <a href="../http/Consts.html#Consts" class="tag"
	  style="font-size: 9px;color:#0205fc"
	  title="# Elements - 1 , # Elements Untested - 1 ">Consts</a>
   
	 	 
	       <a href="../http/impl/io/ContentLengthInputStream.html#ContentLengthInputStream" class="tag"
	  style="font-size: 18px;color:#0205fc"
	  title="# Elements - 95 , # Elements Untested - 6 ">ContentLengthInputStream</a>
   
	 	 
	       <a href="../http/ContentTooLongException.html#ContentTooLongException" class="tag"
	  style="font-size: 9px;color:#0205fc"
	  title="# Elements - 2 , # Elements Untested - 2 ">ContentTooLongException</a>
   
	 	 
	       <a href="../http/entity/ContentType.html#ContentType" class="tag"
	  style="font-size: 17px;color:#0205fc"
	  title="# Elements - 87 , # Elements Untested - 3 ">ContentType</a>
   
	 	 
	       <a href="../http/impl/DefaultConnectionReuseStrategy.html#DefaultConnectionReuseStrategy" class="tag"
	  style="font-size: 16px;color:#0205fc"
	  title="# Elements - 70 , # Elements Untested - 2 ">DefaultConnectionReuseStrategy</a>
   
	 	 
	       <a href="../http/impl/DefaultHttpClientConnection.html#DefaultHttpClientConnection" class="tag"
	  style="font-size: 11px;color:#0205fc"
	  title="# Elements - 21 , # Elements Untested - 6 ">DefaultHttpClientConnection</a>
   
	 	 
	       <a href="../http/impl/DefaultHttpRequestFactory.html#DefaultHttpRequestFactory" class="tag"
	  style="font-size: 13px;color:#1b05e3"
	  title="# Elements - 44 , # Elements Untested - 22 ">DefaultHttpRequestFactory</a>
   
	 	 
	       <a href="../http/impl/DefaultHttpResponseFactory.html#DefaultHttpResponseFactory" class="tag"
	  style="font-size: 11px;color:#0205fc"
	  title="# Elements - 26 , # Elements Untested - 6 ">DefaultHttpResponseFactory</a>
   
	 	 
	       <a href="../http/impl/DefaultHttpServerConnection.html#DefaultHttpServerConnection" class="tag"
	  style="font-size: 11px;color:#0205fc"
	  title="# Elements - 21 , # Elements Untested - 6 ">DefaultHttpServerConnection</a>
   
	 	 
	       <a href="../http/protocol/DefaultedHttpContext.html#DefaultedHttpContext" class="tag"
	  style="font-size: 11px;color:#3405ca"
	  title="# Elements - 27 , # Elements Untested - 27 ">DefaultedHttpContext</a>
   
	 	 
	       <a href="../http/params/DefaultedHttpParams.html#DefaultedHttpParams" class="tag"
	  style="font-size: 12px;color:#0205fc"
	  title="# Elements - 38 , # Elements Untested - 10 ">DefaultedHttpParams</a>
   
	 	 
	       <a href="../http/util/EncodingUtils.html#EncodingUtils" class="tag"
	  style="font-size: 14px;color:#0205fc"
	  title="# Elements - 53 , # Elements Untested - 3 ">EncodingUtils</a>
   
	 	 
	       <a href="../http/impl/entity/EntityDeserializer.html#EntityDeserializer" class="tag"
	  style="font-size: 13px;color:#0205fc"
	  title="# Elements - 46 , # Elements Untested - 2 ">EntityDeserializer</a>
   
	 	 
	       <a href="../http/impl/entity/EntitySerializer.html#EntitySerializer" class="tag"
	  style="font-size: 12px;color:#0205fc"
	  title="# Elements - 34 , # Elements Untested - 2 ">EntitySerializer</a>
   
	 	 
	       <a href="../http/util/EntityUtils.html#EntityUtils" class="tag"
	  style="font-size: 21px;color:#4d05b1"
	  title="# Elements - 127 , # Elements Untested - 44 ">EntityUtils</a>
   
	 	 
	       <a href="../http/util/ExceptionUtils.html#ExceptionUtils" class="tag"
	  style="font-size: 10px;color:#0205fc"
	  title="# Elements - 12 , # Elements Untested - 12 ">ExceptionUtils</a>
   
	 	 
	       <a href="../http/entity/FileEntity.html#FileEntity" class="tag"
	  style="font-size: 14px;color:#1b05e3"
	  title="# Elements - 51 , # Elements Untested - 20 ">FileEntity</a>
   
	 	 
	       <a href="../http/protocol/HTTP.html#HTTP" class="tag"
	  style="font-size: 9px;color:#0205fc"
	  title="# Elements - 3 , # Elements Untested - 1 ">HTTP</a>
   
	 	 
	       <a href="../http/message/HeaderGroup.html#HeaderGroup" class="tag"
	  style="font-size: 20px;color:#0205fc"
	  title="# Elements - 114 , # Elements Untested - 6 ">HeaderGroup</a>
   
	 	 
	       <a href="../http/params/HttpAbstractParamBean.html#HttpAbstractParamBean" class="tag"
	  style="font-size: 9px;color:#0205fc"
	  title="# Elements - 6 , # Elements Untested - 6 ">HttpAbstractParamBean</a>
   
	 	 
	       <a href="../http/impl/HttpConnectionMetricsImpl.html#HttpConnectionMetricsImpl" class="tag"
	  style="font-size: 16px;color:#660598"
	  title="# Elements - 76 , # Elements Untested - 64 ">HttpConnectionMetricsImpl</a>
   
	 	 
	       <a href="../http/params/HttpConnectionParamBean.html#HttpConnectionParamBean" class="tag"
	  style="font-size: 10px;color:#1b05e3"
	  title="# Elements - 14 , # Elements Untested - 14 ">HttpConnectionParamBean</a>
   
	 	 
	       <a href="../http/params/HttpConnectionParams.html#HttpConnectionParams" class="tag"
	  style="font-size: 18px;color:#80057e"
	  title="# Elements - 98 , # Elements Untested - 74 ">HttpConnectionParams</a>
   
	 	 
	       <a href="../http/entity/HttpEntityWrapper.html#HttpEntityWrapper" class="tag"
	  style="font-size: 11px;color:#0205fc"
	  title="# Elements - 25 , # Elements Untested - 2 ">HttpEntityWrapper</a>
   
	 	 
	       <a href="../http/HttpHeaders.html#HttpHeaders" class="tag"
	  style="font-size: 9px;color:#0205fc"
	  title="# Elements - 1 , # Elements Untested - 1 ">HttpHeaders</a>
   
	 	 
	       <a href="../http/HttpHost.html#HttpHost" class="tag"
	  style="font-size: 15px;color:#0205fc"
	  title="# Elements - 68 , # Elements Untested - 2 ">HttpHost</a>
   
	 	 
	       <a href="../http/params/HttpProtocolParamBean.html#HttpProtocolParamBean" class="tag"
	  style="font-size: 10px;color:#0205fc"
	  title="# Elements - 12 , # Elements Untested - 12 ">HttpProtocolParamBean</a>
   
	 	 
	       <a href="../http/params/HttpProtocolParams.html#HttpProtocolParams" class="tag"
	  style="font-size: 20px;color:#660598"
	  title="# Elements - 111 , # Elements Untested - 55 ">HttpProtocolParams</a>
   
	 	 
	       <a href="../http/impl/io/HttpRequestParser.html#HttpRequestParser" class="tag"
	  style="font-size: 10px;color:#1b05e3"
	  title="# Elements - 18 , # Elements Untested - 18 ">HttpRequestParser</a>
   
	 	 
	       <a href="../http/impl/io/HttpResponseParser.html#HttpResponseParser" class="tag"
	  style="font-size: 10px;color:#1b05e3"
	  title="# Elements - 18 , # Elements Untested - 18 ">HttpResponseParser</a>
   
	 	 
	       <a href="../http/protocol/HttpService.html#HttpService" class="tag"
	  style="font-size: 23px;color:#3405ca"
	  title="# Elements - 147 , # Elements Untested - 32 ">HttpService</a>
   
	 	 
	       <a href="../http/impl/io/HttpTransportMetricsImpl.html#HttpTransportMetricsImpl" class="tag"
	  style="font-size: 10px;color:#0205fc"
	  title="# Elements - 10 , # Elements Untested - 4 ">HttpTransportMetricsImpl</a>
   
	 	 
	       <a href="../http/HttpVersion.html#HttpVersion" class="tag"
	  style="font-size: 11px;color:#0205fc"
	  title="# Elements - 23 , # Elements Untested - 4 ">HttpVersion</a>
   
	 	 
	       <a href="../http/impl/io/IdentityInputStream.html#IdentityInputStream" class="tag"
	  style="font-size: 11px;color:#0205fc"
	  title="# Elements - 27 , # Elements Untested - 2 ">IdentityInputStream</a>
   
	 	 
	       <a href="../http/protocol/ImmutableHttpProcessor.html#ImmutableHttpProcessor" class="tag"
	  style="font-size: 14px;color:#1b05e3"
	  title="# Elements - 58 , # Elements Untested - 22 ">ImmutableHttpProcessor</a>
   
	 	 
	       <a href="../http/entity/InputStreamEntity.html#InputStreamEntity" class="tag"
	  style="font-size: 14px;color:#0205fc"
	  title="# Elements - 52 , # Elements Untested - 6 ">InputStreamEntity</a>
   
	 	 
	       <a href="../http/util/LangUtils.html#LangUtils" class="tag"
	  style="font-size: 12px;color:#0205fc"
	  title="# Elements - 36 , # Elements Untested - 1 ">LangUtils</a>
   
	 	 
	       <a href="../http/impl/entity/LaxContentLengthStrategy.html#LaxContentLengthStrategy" class="tag"
	  style="font-size: 16px;color:#0205fc"
	  title="# Elements - 72 , # Elements Untested - 3 ">LaxContentLengthStrategy</a>
   
	 	 
	       <a href="../http/ParseException.html#ParseException" class="tag"
	  style="font-size: 9px;color:#0205fc"
	  title="# Elements - 4 , # Elements Untested - 2 ">ParseException</a>
   
	 	 
	       <a href="../http/message/ParserCursor.html#ParserCursor" class="tag"
	  style="font-size: 13px;color:#1b05e3"
	  title="# Elements - 41 , # Elements Untested - 20 ">ParserCursor</a>
   
	 	 
	       <a href="../http/pool/PoolEntry.html#PoolEntry" class="tag"
	  style="font-size: 15px;color:#0205fc"
	  title="# Elements - 69 , # Elements Untested - 2 ">PoolEntry</a>
   
	 	 
	       <a href="../http/pool/PoolEntryFuture.html#PoolEntryFuture" class="tag"
	  style="font-size: 16px;color:#0205fc"
	  title="# Elements - 76 , # Elements Untested - 12 ">PoolEntryFuture</a>
   
	 	 
	       <a href="../http/pool/PoolStats.html#PoolStats" class="tag"
	  style="font-size: 11px;color:#0205fc"
	  title="# Elements - 26 , # Elements Untested - 12 ">PoolStats</a>
   
	 	 
	       <a href="../http/ProtocolVersion.html#ProtocolVersion" class="tag"
	  style="font-size: 16px;color:#0205fc"
	  title="# Elements - 72 , # Elements Untested - 12 ">ProtocolVersion</a>
   
	 	 
	       <a href="../http/impl/SocketHttpClientConnection.html#SocketHttpClientConnection" class="tag"
	  style="font-size: 20px;color:#80057e"
	  title="# Elements - 118 , # Elements Untested - 69 ">SocketHttpClientConnection</a>
   
	 	 
	       <a href="../http/impl/SocketHttpServerConnection.html#SocketHttpServerConnection" class="tag"
	  style="font-size: 20px;color:#80057e"
	  title="# Elements - 119 , # Elements Untested - 76 ">SocketHttpServerConnection</a>
   
	 	 
	       <a href="../http/impl/io/SocketInputBuffer.html#SocketInputBuffer" class="tag"
	  style="font-size: 12px;color:#0205fc"
	  title="# Elements - 36 , # Elements Untested - 8 ">SocketInputBuffer</a>
   
	 	 
	       <a href="../http/impl/io/SocketOutputBuffer.html#SocketOutputBuffer" class="tag"
	  style="font-size: 10px;color:#0205fc"
	  title="# Elements - 15 , # Elements Untested - 4 ">SocketOutputBuffer</a>
   
	 	 
	       <a href="../http/impl/entity/StrictContentLengthStrategy.html#StrictContentLengthStrategy" class="tag"
	  style="font-size: 13px;color:#0205fc"
	  title="# Elements - 42 , # Elements Untested - 2 ">StrictContentLengthStrategy</a>
   
	 	 
	       <a href="../http/entity/StringEntity.html#StringEntity" class="tag"
	  style="font-size: 14px;color:#1b05e3"
	  title="# Elements - 59 , # Elements Untested - 21 ">StringEntity</a>
   
	 	 
	       <a href="../http/protocol/SyncBasicHttpContext.html#SyncBasicHttpContext" class="tag"
	  style="font-size: 10px;color:#0205fc"
	  title="# Elements - 12 , # Elements Untested - 12 ">SyncBasicHttpContext</a>
   
	 	 
	       <a href="../http/params/SyncBasicHttpParams.html#SyncBasicHttpParams" class="tag"
	  style="font-size: 10px;color:#0205fc"
	  title="# Elements - 18 , # Elements Untested - 12 ">SyncBasicHttpParams</a>
   
	 	 
	       <a href="../http/protocol/UriPatternMatcher.html#UriPatternMatcher" class="tag"
	  style="font-size: 15px;color:#0205fc"
	  title="# Elements - 65 , # Elements Untested - 9 ">UriPatternMatcher</a>
   
	 	 
	       <a href="../http/util/VersionInfo.html#VersionInfo" class="tag"
	  style="font-size: 20px;color:#e4051a"
	  title="# Elements - 118 , # Elements Untested - 118 ">VersionInfo</a>
      </div>
   
      <div id="shallowPackageCloud"  style="display: none"  >
      
	 	 
	       <a href="../http/Consts.html#Consts" class="tag"
	  style="font-size: 9px;color:#0205fc"
	  title="# Elements - 1 , # Elements Untested - 1 ">Consts</a>
   
	 	 
	       <a href="../http/ContentTooLongException.html#ContentTooLongException" class="tag"
	  style="font-size: 9px;color:#1b05e3"
	  title="# Elements - 2 , # Elements Untested - 2 ">ContentTooLongException</a>
   
	 	 
	       <a href="../http/HttpHeaders.html#HttpHeaders" class="tag"
	  style="font-size: 9px;color:#0205fc"
	  title="# Elements - 1 , # Elements Untested - 1 ">HttpHeaders</a>
   
	 	 
	       <a href="../http/HttpHost.html#HttpHost" class="tag"
	  style="font-size: 38px;color:#1b05e3"
	  title="# Elements - 68 , # Elements Untested - 2 ">HttpHost</a>
   
	 	 
	       <a href="../http/HttpVersion.html#HttpVersion" class="tag"
	  style="font-size: 18px;color:#4d05b1"
	  title="# Elements - 23 , # Elements Untested - 4 ">HttpVersion</a>
   
	 	 
	       <a href="../http/ParseException.html#ParseException" class="tag"
	  style="font-size: 10px;color:#1b05e3"
	  title="# Elements - 4 , # Elements Untested - 2 ">ParseException</a>
   
	 	 
	       <a href="../http/ProtocolVersion.html#ProtocolVersion" class="tag"
	  style="font-size: 40px;color:#e4051a"
	  title="# Elements - 72 , # Elements Untested - 12 ">ProtocolVersion</a>
      </div>
   
   </div>
   <b class="cbottom"><b class="cb4"></b><b class="cb3"></b><b class="cb2"></b><b class="cb1"></b></b>
</div>

</td></tr>

<tr><td class="hbreak" colspan="1">&nbsp;</td></tr>

<tr><td class="hbreak" colspan="1">&nbsp;</td></tr>
<tr><td class="footer" colspan="1">
<table>
<tr>
 <td><a target="_new" href="http://www.atlassian.com/software/clover"><img alt="Clover" src="../../../img/logo.gif" style="border:none"/></a></td><td style="white-space:nowrap;"><i>Report generated by </i>Clover <a target="_new" href="http://www.atlassian.com/software/clover">Code Coverage</a> v2.6.3<i><br/>Wed Nov 28 2012 22:35:16 CET</i>.</td>
<td>&nbsp;</td><td style="BORDER-LEFT: #9c9c9c 1px solid;">&nbsp;</td><td>Clover: Open Source License registered to Apache. </td>
</tr>
</table>
</td>
</tr></table>
</body>
</html>
